## org.apache.lucene.search.suggest
Class Lookup.LookupResult

    java.lang.Object
      org.apache.lucene.search.suggest.Lookup.LookupResult

All Implemented Interfaces:
  Comparable<Lookup.LookupResult>

Enclosing class:
  Lookup

    public static final class Lookup.LookupResult

extends Object
implements Comparable<Lookup.LookupResult>

Result of a lookup.

Field Summary
`CharSequence` `key`
`long` `value`

Constructor Summary
`Lookup.LookupResult(CharSequence key, long value)`

Method Summary
`int` `compareTo(Lookup.LookupResult o)` Compare alphabetically.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    public final CharSequence key

### value

    public final long value

Constructor Detail

### Lookup.LookupResult

    public Lookup.LookupResult(CharSequence key,
                               long value)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Lookup.LookupResult o)

  Compare alphabetically.

  Specified by:
    `compareTo` in interface `Comparable<Lookup.LookupResult>`